id: nperf-server-detect

info:
  name: nPerf Server - Detect
  author: rxerium
  severity: info
  description: |
    A nperf panel was detected.
  reference:
    - https://www.nperf.com
  metadata:
    verified: true
    max-request: 1
    shodan-query: product:"nPerf"
  tags: tech,nperf,detect

http:
  - method: GET
    path:
      - "{{BaseURL}}"

    matchers-condition: or
    matchers:
      - type: word
        part: body
        words:
          - "<title>nPerfServer</title>"

      - type: word
        part: header
        words:
          - "Nperfserver-Remote-Endpoint"
          - "nPerf/"
        condition: or

    extractors:
      - type: kval
        part: header
        kval:
          - Server
# digest: 4a0a00473045022100aa51b297f9c2ab766ad0b80cec4cad32aa5976063ac8fc61f28266a2bbffa3d702205247b3209656aa6a76203fb33a0ae97bafc140f294299694c57f098b28f4aca9:922c64590222798bb761d5b6d8e72950